Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface IProcessBox

    com.change_vision.jude.api.inf.model.IProcessBox

All Superinterfaces:
  IDataFlowNode, IElement, IEntity, IHyperlinkOwner, INamedElement

All Implemented Interfaces:
  IDataFlowNode, IElement, IEntity, IHyperlinkOwner, INamedElement

    public IProcessBox

extends IDataFlowNode

Interface for ProcessBox.

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary
`abstract IDataFlowDiagram` | `getDataFlowDiagram()` Get Data Flow Diagram.
`abstract String` | `getOperator()` Get Operator.
`abstract String` | `getProcessBoxID()` Get ProcessBox ID.

Methods inherited from class com.change_vision.jude.api.inf.model.IDataFlowNode
`getIncomings, getOutgoings`

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getClientRealizations, getClientUsages, getConstraints, getDefinition, getDiagrams, getFullName, getFullNamespace, getName, getSupplierDependencies, getSupplierRealizations, getSupplierUsages, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getContainer, getContainers, getId, getOwner, getPresentations, getStereotypes, getTaggedValues, getTypeModifier, hasStereotype, hasStereotype, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### getProcessBoxID

    abstract String getProcessBoxID()

  Get ProcessBox ID.

  Returns:
    ProcessBox ID

### getOperator

    abstract String getOperator()

  Get Operator.

  Returns:
    Operator

### getDataFlowDiagram

    abstract IDataFlowDiagram getDataFlowDiagram()

  Get Data Flow Diagram.

  Returns:
    Data Flow Diagram

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD